Subject: Interest in reviving WG on FTP(maybe ext?)

From: "William F. Maton Sotomayor" <[email-masked]>
Date: Wed, 1 Jul 2009 15:53:52 -0400 (EDT)

All,

 	Over the past several months a colleague at a university and 
myself have revived work on the WU-FTPD daemon.  Through researching the 
various RFCs and such, it's become apparent that there are a small number 
of drafts as well as a potential number of others that could significantly
contribute to the protocol.  (So my voyage has gone from operator, 
developer and implementor to protocol spec.)  But, ftpext wound-up and it 
seems there's no specific venue to flesh these out amongst like-minded 
FTP people.

 	I suppose what I'm looking for from the Apps Area folk is to test 
the waters on establishing a BoF (if I have read the Apps website 
correctly) that will lead to establishing some kind of group that will 
further the possible work remaining or possibly poending to be done, or 
not.  Discussions amongst a couple of authors of long-expired drafts seem 
to favour some kind of venue.

Thanks,

wfms

---

From: "tom.petch" <[email-masked]>
Date: Fri, 10 Jul 2009 11:52:48 +0200

In October last, there was a thread on 
"Subject: Followup on IETF72 discussion of FTP protocol extensions and
 updates".

I cannot recall seeing any conclusion to it; may be this time?

Tom Petch

----- Original Message ----- 
From: "William F. Maton Sotomayor" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 01, 2009 9:53 PM
Subject: Interest in reviving WG on FTP(maybe ext?)

> _______________________________________________
> Apps-Discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

---

From: "William F. Maton Sotomayor" <[email-masked]>
Date: Fri, 10 Jul 2009 14:08:02 -0400 (EDT)

> I cannot recall seeing any conclusion to it; may be this time?

Ah, thanks for that pointer.  I was in DUblin and had not realized at the 
time that there were discussions in progress...Alas, that was prior 
getting involved in the issue in the first place.

I don't see one in the archives either.

I think a Bar BoF may be planned for it though?

wfms

---

From: John C Klensin <[email-masked]>
Date: Fri, 10 Jul 2009 16:49:08 -0400

--On Friday, July 10, 2009 14:08 -0400 "William F. Maton
Sotomayor" <[email-masked]> wrote:

>> "Subject: Followup on IETF72 discussion of FTP protocol
>> extensions and updates".
>> 
> Ah, thanks for that pointer.  I was in DUblin and had not
> realized at the time that there were discussions in
> progress...Alas, that was prior getting involved in the issue
> in the first place.
> 

With the understanding that I have been, and remain, sympathetic
to getting a WG spun up if there is interest, the conclusion in
Dublin and elsewhere was that there really wasn't critical mass
to do this.  Critical mass would require people who were willing
to actually work on, review, and, where appropriate, implement
each other's documents, not just present ideas and hope that
others sign off.  There have been a number of drafts posted
relevant to FTP.  Some seems obvious to me (like the extension
registry), others may be seriously bad ideas, and most lie
somewhere in between.  

If that critical mass exists, then someone needs to get to work
on a charter, perhaps using the one that a couple of us put
together a year ago as a starting point.  If it doesn't, then
writing and posting more FTP extension drafts is probably a
waste of time -- given the number of proposals, if there isn't
enough interest to put a WG together, then it would be hard to
argue that there is sufficient interest in FTP extensions in the
community to justify standardizing anything.

That is just my opinion, but I think it is a reasonable summary
of where things stood a year ago.  I'm not convinced that
anything has changed.

    john

---

From: "William F. Maton Sotomayor" <[email-masked]>
Date: Wed, 15 Jul 2009 16:20:24 -0400 (EDT)

Hi John,

> each other's documents, not just present ideas and hope that

Thanks for the update.  At least there's closure on that aspect of it.

> registry), others may be seriously bad ideas, and most lie

I've seen a number of them over the year's on various websites and snarfed 
a few for posterity.  Agreed, some of them are good ideas.  I'd like to 
see your's revived as I just went through this exercise myself to figure 
out what's missing from wu-ftpd versus what's new.  Hmmm....I should post 
the result of that script output somewhere.  (Good idea, maybe it will 
form the basis of your missing section.)

> waste of time -- given the number of proposals, if there isn't

A couple of people I have contacted are interested in putting in more 
proposals, and implementations seem to exist for at least one of them:

- gridFTP, for extensions involving bulk transfers of scientific data

- David Somers has one with a few extensions that some other FTP
   implementors seem to be pushing ahead with.

> of where things stood a year ago.  I'm not convinced that

Thanks John, much appreciated.  I don't know how many here are of the FTP 
slant, but I'm sure others could be asked beyond that to solicit further 
interest down the road.  I would expect that process itself to take some 
time too.

wfms

---

From: "William F. Maton Sotomayor" <[email-masked]>
Date: Wed, 15 Jul 2009 16:35:28 -0400 (EDT)

On Wed, 15 Jul 2009, Iljitsch van Beijnum wrote:

> Well, I think I found a bug in RFC 959. Might be nice to fix it.

OK, now some are getting shaken out, that's good. :-)

I know Gregory Lundberg found a bunch of issues, some great, some small 
with RFC 959, and he was in touch with some folks at that time (we're 
talking around a decade now) about that.  But where that conversation 
went....?

> 3.3.  DATA CONNECTION MANAGEMENT
>
[..]
> However, you can't use both PORT and PASV because with PORT the server is 
> supposed to initiate the data session and with PASV the client. If you do 
> both it's unclear who does what. I also don't see any use cases for this.

This rings a bell....I wonder if it was the old data assurance draft that 
also addressed this....

Thanks, now you got me rumaging.... :-)

wfms

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Wed, 15 Jul 2009 22:24:24 +0200

On 15 jul 2009, at 22:20, William F. Maton Sotomayor wrote:

> I don't know how many here are of the FTP slant,

      Default Data Connection Ports:  All FTP implementations must
      support use of the default data connection ports, and only the
      User-PI may initiate the use of non-default ports.

      Negotiating Non-Default Data Ports:   The User-PI may specify a
      non-default user side data port with the PORT command.  The
      User-PI may request the server side to identify a non-default
      server side data port with the PASV command.  Since a connection
      is defined by the pair of addresses, either of these actions is
      enough to get a different data connection, still it is permitted
      to do both commands to use new ports on both ends of the data
      connection.

However, you can't use both PORT and PASV because with PORT the server  
is supposed to initiate the data session and with PASV the client. If  
you do both it's unclear who does what. I also don't see any use cases  
for this.

---

From: John C Klensin <[email-masked]>
Date: Wed, 15 Jul 2009 18:05:38 -0400

--On Wednesday, July 15, 2009 16:20 -0400 "William F. Maton
Sotomayor" <[email-masked]> wrote:

>...
> I've seen a number of them over the year's on various websites
> and snarfed a few for posterity.  Agreed, some of them are
> good ideas.  I'd like to see your's revived as I just went
> through this exercise myself to figure out what's missing from
> wu-ftpd versus what's new.  Hmmm....I should post the result
> of that script output somewhere.  (Good idea, maybe it will
>> If that critical mass exists, then someone needs to get to
>> work on a charter, perhaps using the one that a couple of us
>> put together a year ago as a starting point.  If it doesn't,
>> then writing and posting more FTP extension drafts is
>> probably a waste of time -- given the number of proposals, if
>> there isn't
> 
> A couple of people I have contacted are interested in putting
> in more proposals, and implementations seem to exist for at
> least one of them:

One of the ways of interpreting the Dublin discussion (probably
not the only one) is that we really should have multiple
implementations.  In other words, clear intent by multiple
parties to implement a particular idea (or who have done it
already) is evidence of sufficient interest to restart IETF
work.  Someone pushing any idea that is either untested or that
only they care to implement doesn't count.

>...
> Thanks John, much appreciated.  I don't know how many here are
> of the FTP slant, but I'm sure others could be asked beyond
> that to solicit further interest down the road.  I would
> expect that process itself to take some time too.

Let me suggest the following plan.   First, it is really too
late to do anything in Stockholm.  We might try to organize a
Bar-BOF, but, given scheduling, etc., and people who may or may
not be in Stockholm, it is probably late even for that.   Let's
try to think about getting things together sufficiently well
before Hiroshima (or, if people prefer due to location, Anaheim
in March) that we can do a useful pre-WG BOF or even have a WG
proposal in front of the IESG before one of those meetings.  One
warning is that I'm happy to offer advice and support, but
should not be counted on for much serious work in this area in
the near term (although I can do some work on my two documents
if desired).  

In the meantime, in the hope that this is agreeable to the ADs:

(1) I will forward in a few minutes my notes and Lisa's from
before the Dublin meeting a year ago.  That should help everyone
get synchronized even those most of the drafts are now expired.

(2) If people convince me, ideally before the end of the
Stockholm meeing, that there really is interest in moving
forward, I'll update the extension registry spec and get it in
front of the IESG as an individual submission.  It should be
routine and should not require a WG.  I'll modify the proposal
so that the registry entries can provide some information about
state of implementation and by whom, which should help inform a
BOF or WG development process.

(3) My notes indicate that a couple of us started on a draft
charter for a working group last October, before the effort ran
out of steam.  I'm attaching a copy of it, with the
understanding that the dates and some of the comments may be
irrelevant by now.  The intent is just to give people some
calibration about how we've thought about the topic in the past
and maybe some text to think about in starting to form a charter
or BOF proposal.

     john